Cancel Garmin Backfill
curl --request POST \
--url https://api.example.com/api/v1/providers/garmin/users/{user_id}/backfill/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/providers/garmin/users/{user_id}/backfill/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/providers/garmin/users/{user_id}/backfill/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Data Sync
Cancel Garmin Backfill
Cancel an in-progress Garmin backfill for a user.
Sets a cancellation flag in Redis. The backfill will stop after the current data type completes processing.
Returns 409 if no backfill is currently in progress.
POST
/
api
/
v1
/
providers
/
garmin
/
users
/
{user_id}
/
backfill
/
cancel
Cancel Garmin Backfill
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Response
Successful Response
The response is of type Response Cancel Garmin Backfill Api V1 Providers Garmin Users User Id Backfill Cancel Post · object.
Was this page helpful?
⌘I

